program structs;

{       These are the Structures for DataPage.  If you plan to make    }
{       a Plug-in, these are the "rules" to follow.                    }

TYPE userinforec = RECORD { User Info, stored in user.dat. Record 0=Defaults}
          name : STRING [50];                  { Real Name / Handle on BBS }
          alias : STRING [20];                 { Alias in Door }
          directory : STRING [50];             { Their "address" }
          theme : STRING [40];                 {                 }
          theme2 : STRING [40];                { Theme (3 lines) }
          theme3 : STRING [40];                {                 }
          lastupdate : STRING [8];             { Last Update MM/DD/YY *NOT USED* }
          space : LONGINT;                     { Total Space }
          note : STRING [40];                  { SysOp Note }
          usernote : STRING [40];              { User Note }
          havepage : BOOLEAN;                  { I don't think this is used }
          END;

{config.dat is a text file so variable will be of TEXT}
var f: text; {to be ASSIGN'ed to 'config.dat'}
                     {lines in the config.dat file are in the order listed}
    sysop_name: string;
    bbs_name: string;
    lockbaud: string; {yes, string, it is used for transfer protocols only}
    com_port: string; {also string for same reason}
    regcodes: array[1..6] of string;{the 6 reg. codes, in that order}

{.DPP (DataPage Plug-in) files are text files also}
    f2: text; {to be assigned to '????????.dpp'}
                     {lines also to be listed in order}
    keypress: char; {this is either string or char - it is the key to be
                     pressed on the main menu to access this plug-in - 1
                     character or the plug-in will be inaccessible!!!}
    display: string; {This will be displayed after the character on the
                      main menu. these 2 variables will show up in this
                      order: '  (keypress) display'}
    cmdline: string; {I don't think i need to describe this... the command
                      line to run the plug-in.  may be a batch file, if so,
                      make sure that the commandline is 'CALL batfile.bat'}

(* For Plug-ins, it is not required to have an installation program, just
   unzip into the datapage directory and DP will automatically detect the
   .DPP file.  however, if you are making a plug-in and need many files, it
   may be best to keep it in a different directory and use an installation
   program to generate a .DPP file.  keep in mind that if the plug-in needs
   a directory change you must change back to the datapage directory - see
   the DP.BAT file.  The .DPP file format is as follows:

   <key required to be pressed on main menu>
   <name of plug-in>
   <commandline>

   Example, for dirlist, press D, show "Directory Listing" on main menu and
   run DIRLIST.EXE as commandline, make the file DIRLIST.DPP as follows:

   D
   Directory Listing
   DIRLIST.EXE

   An OUT.INF file will be made to read in data from DataPage such as
   comport, user name, etc... the format of this file is:

   3            <-- Com Port
   38400        <-- Baud Rate or Locked Rate (check this, not sure about lock)
   47           <-- Time Left in minutes *NOTE BELOW*
   John         <-- User's First Name
   Smith        <-- User's Last Name
   The Realm    <-- BBS Name
   Michael      <-- Sysop First Name
   Burke        <-- Sysop Last Name
   3            <-- Graphics integer, basically use 1-2 is ascii text, 3-4
                    is ansi, and 5 is RIP.

         *NOTE: The time left MUST be changed upon exit from your plug-in
                or else the user will get free time.

           You can also use command line variables to pass certain info on
           the commandline.  In the .DPP file, use the following commandline
           variables if desired:

   %U - User Full Name
   %F - User First Name
   %L - User Last Name
   %C - Com Port
   %B - Baud Rate
   %T - Time Left (minutes)

           But either way you get the info, change the time back in the
           out.inf file!

                                                                        *)
    f3: text;  {DIRLIST.TXT file - explained in sysop.doc}

begin
end.
